﻿.badge1 {
    position: relative;
    margin: 10px;
    width: 42px;
    height: 60px;
    border-radius: 10px;
    display: inline-block;
    top: 0;
    transition: all 0.2s ease;
    font-size: 30px;
}

    .badge1:before, .badge1:after {
        position: absolute;
        width: inherit;
        height: inherit;
        border-radius: inherit;
        background: inherit;
        content: "";
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        margin: auto;
    }

    .badge1:before {
        transform: rotate(60deg);
    }

    .badge1:after {
        transform: rotate(-60deg);
    }

    /*    .badge1:hover {
        top: -4px;
    }*/

    .badge1 .circle, .badge2 .circle {
        width: 40px;
        height: 40px;
        position: absolute;
        background: #fff;
        z-index: 10;
        border-radius: 50%;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        margin: auto;
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
    }

        .badge1 .circle i.fa {
            font-size: 24px;
            margin-top: 9px;
        }

    .badge1 .font {
        display: inline-block;
        margin-top: 1em;
    }

/*    .badge1 .ribbon {
        position: absolute;
        width: 100px;
        z-index: 11;
        bottom: 5px;
        left: 50%;
        margin-left: -50px;
    }*/

.badge2 {
    min-width: 60px;
    min-height: 60px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    /*    border: 1.5px dotted #fff;*/
    position: relative;
}
    /*    .badge2 .ribbon {
        position: absolute;
        width: 60px;
        z-index: 11;
        bottom: -5px;
        left: 50%;
        margin-left: -30px;
    }*/

    .badge1 .ribbon, .badge2 .ribbon {
        background: linear-gradient(to bottom right, #555 0%, #333 100%);
        color: #fff;
        border-radius: 4px;
        text-align: center;
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.27);
        text-shadow: 0 2px 2px rgba(0, 0, 0, 0.1);
        text-transform: uppercase;
        padding: 1px;
        font-size: 10px;
        position: absolute;
        width: 80px;
        z-index: 11;
        bottom: -5px;
        left: 50%;
        margin-left: -40px;
    }

.yellow {
    background: linear-gradient(to bottom right, #ffeb3b 0%, #fbc02d 100%);
    color: #ffb300;
}

.orange {
    background: linear-gradient(to bottom right, #ffc107 0%, #f57c00 100%);
    color: #f68401;
}

.pink {
    background: linear-gradient(to bottom right, #f48fb1 0%, #d81b60 100%);
    color: #dc306f;
}

.red {
    background: linear-gradient(to bottom right, #f4511e 0%, #b71c1c 100%);
    color: #c62828;
}

.purple {
    background: linear-gradient(to bottom right, #ab47bc 0%, #4527a0 100%);
    color: #7127a8;
}

.teal {
    background: linear-gradient(to bottom right, #4db6ac 0%, #00796b 100%);
    color: #34a297;
}

.blue {
    background: linear-gradient(to bottom right, #4fc3f7 0%, #2196f3 100%);
    color: #259af3;
}

.blue-dark {
    background: linear-gradient(to bottom right, #1976d2 0%, #283593 100%);
    color: #1c68c5;
}

.green {
    background: linear-gradient(to bottom right, #cddc39 0%, #8bc34a 100%);
    color: #7cb342;
}

.green-dark {
    background: linear-gradient(to bottom right, #4caf50 0%, #1b5e20 100%);
    color: #00944a;
}

.silver {
    background: linear-gradient(to bottom right, #e0e0e0 0%, #bdbdbd 100%);
    color: #9e9e9e;
}

.gold {
    background: linear-gradient(to bottom right, #e6ce6a 0%, #b7892b 100%);
    color: #b7892b;
}

.brown {
    background: linear-gradient(to bottom right, #7c4700 0%, #cd7e15 100%);
    color: #734100;
}
